Generation Framework

## org.eclipse.gmf.codegen.util
Class Generator

    java.lang.Object
      org.eclipse.gmf.internal.common.codegen.GeneratorBase
          org.eclipse.gmf.codegen.util.Generator

All Implemented Interfaces:
  java.lang.Runnable

    public class Generator

extends org.eclipse.gmf.internal.common.codegen.GeneratorBase
implements java.lang.Runnable

Invokes templates to populate diagram editor project.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gmf.internal.common.codegen.GeneratorBase
`org.eclipse.gmf.internal.common.codegen.GeneratorBase.Counter`

Constructor Summary
`Generator(GenEditorGenerator genModel, CodegenEmitters emitters)`

Method Summary
`protected org.eclipse.gmf.internal.common.codegen.TextMerger` `createMergeService()` By default, provides facility that doesn't perform any merge at all.
`protected void` `customRun()`
`protected void` `generatePropertySheetSections()`
`protected void` `setupProgressMonitor()`

Methods inherited from class org.eclipse.gmf.internal.common.codegen.GeneratorBase

`createImportAssistant, doGenerateBinaryFile, doGenerateFile, doGenerateJavaClass, doGenerateJavaClass, formatCode, getDestProject, getNextStepMonitor, getProgress, getRunStatus, guessNewProjectLocation, handleException, handleException, handleException, handleUnexpected, initializeEditorProject, initializeEditorProject, initializeEditorProject, mergeJavaCode, mergePlainText, newStatus, newStatus, run, run, setProgressMonitor, setProgressTaskName, setupProgressMonitor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Runnable
`run`

Constructor Detail

### Generator

    public Generator(GenEditorGenerator genModel,
                     CodegenEmitters emitters)

Method Detail

### createMergeService

    protected org.eclipse.gmf.internal.common.codegen.TextMerger createMergeService()

  Description copied from class: `org.eclipse.gmf.internal.common.codegen.GeneratorBase`
  By default, provides facility that doesn't perform any merge at all.

  Overrides:
    `createMergeService` in class `org.eclipse.gmf.internal.common.codegen.GeneratorBase`
  Returns:
    facility to perform merges, should never return null.

### customRun

    protected void customRun()
                      throws java.lang.InterruptedException,
                             UnexpectedBehaviourException

  Specified by:
    `customRun` in class `org.eclipse.gmf.internal.common.codegen.GeneratorBase`
  Throws:
    `java.lang.InterruptedException`
    `UnexpectedBehaviourException`

### generatePropertySheetSections

    protected void generatePropertySheetSections()
                                          throws UnexpectedBehaviourException,
                                                 java.lang.InterruptedException

  Throws:
    `UnexpectedBehaviourException`
    `java.lang.InterruptedException`

### setupProgressMonitor

    protected void setupProgressMonitor()

  Specified by:
    `setupProgressMonitor` in class `org.eclipse.gmf.internal.common.codegen.GeneratorBase`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.